#ifndef _AUX_HEADER_INCLUDED_H
#define _AUX_HEADER_INCLUDED_H

#if defined(FORTRAN_CAPS)
#define wreadmtc_            WREADMTC
#define csrcsc_              CSRCSC
#define aplb_                APLB
#define dse_                 DSE
#elif defined(FORTRAN_DOUBLE_UNDERSCORE)
#define wreadmtc_            wreadmtc__
#define csrcsc_              csrcsc__
#define aplb_                aplb__
#define dse_                 dse__
#elif !defined(FORTRAN_UNDERSCORE)
#define wreadmtc_            wreadmtc
#define csrcsc_              csrcsc
#define aplb_                aplb
#define dse_                 dse
#endif

extern void wreadmtc_(int *nmax, int *nzmax, int *job, char *fname,int
		      *len, double *a, int *ja, int *ia, double *rhs,
		      int *nrhs, char *guesol, int *nrow, int *ncol,
		      int *nnz, char *title, char *key, char *type,
		      int *ierr, int fname_len, int guesol_len, int
		      title_len, int key_len, int type_len); 
extern void csrcsc_(int *n, int *job, int *ipos, double *a, int *ja,
		    int *ia, double *ao, int *jao, int *iao);  
extern void aplb_(int *nrow, int *ncol, int *job, double *a, int *ja,
		  int *ia, double *b, int *jb, int *ib, double *c, int
		  *jc, int *ic, int *nnzmax, int *iw, int *ierr); 

#define BUFLEN 100

#endif 
